[arch-commits] Commit in spidermonkey/trunk (PKGBUILD)

Daniel Griffiths dgriffiths at archlinux.org
Fri Apr 9 06:43:23 UTC 2010


    Date: Friday, April 9, 2010 @ 02:43:22
  Author: dgriffiths
Revision: 76943

Cleanup, adopted

Modified:
  spidermonkey/trunk/PKGBUILD

----------+
 PKGBUILD |   37 +++++++++++++++++++++----------------
 1 file changed, 21 insertions(+), 16 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-04-09 06:42:16 UTC (rev 76942)
+++ PKGBUILD	2010-04-09 06:43:22 UTC (rev 76943)
@@ -1,31 +1,36 @@
 # $Id$
 # Contributor: Aaron Griffin <aaron at archlinux.org>
+# Maintainer: Daniel J Griffiths <ghost1227 at archlinux.us>
 
 pkgname=spidermonkey
 pkgver=1.7.0
 pkgrel=3
 pkgdesc="Mozilla's C implementation of JavaScript."
-arch=("i686" "x86_64")
 url="http://www.mozilla.org/js/spidermonkey/"
+arch=('i686' 'x86_64')
 license=('MPL' 'GPL' 'LGPL')
 depends=('nspr')
 options=('!makeflags')
-source=("http://ftp.mozilla.org/pub/mozilla.org/js/js-$pkgver.tar.gz" \
-	"spidermonkey-1.7-threadsafe.patch" "spidermonkey-Makefile.patch")
+source=("http://ftp.mozilla.org/pub/mozilla.org/js/js-${pkgver}.tar.gz" \
+	'spidermonkey-1.7-threadsafe.patch' 'spidermonkey-Makefile.patch')
 md5sums=('5571134c3863686b623ebe4e6b1f6fe6'
-	'b2ef9be017b6aa1857354b5223975a4f'
-	'161d4c0f2c604d15cba29dab60b1f7a7')
+	 'b2ef9be017b6aa1857354b5223975a4f'
+	 '161d4c0f2c604d15cba29dab60b1f7a7')
 
 build() {
-  cd "$srcdir/js/src"
-  patch -p0 < "$srcdir/spidermonkey-Makefile.patch" || return 1
-  sed -i 's|include|include/js|' rules.mk || return 1
-  # fix for the lib location
-  [ "$CARCH" = "x86_64" ] && (sed -i -e "s:lib64:lib:g" config.mk || return 1)
-  # patch Makefile for threadsafe support with native nspr
-  patch -p2 -i "$srcdir/spidermonkey-1.7-threadsafe.patch" || return 1
-  # FS#16673
-  export CFLAGS="${CFLAGS} -DJS_C_STRINGS_ARE_UTF8"
-  # build - threadsafe
-  make -f Makefile.ref BUILD_OPT=1 JS_THREADSAFE=1 DIST="$pkgdir/usr" all export || return 1
+	cd ${srcdir}/js/src
+	patch -p0 < ${srcdir}/spidermonkey-Makefile.patch || return 1
+	sed -i 's|include|include/js|' rules.mk || return 1
+	# fix for the lib location
+	[ "$CARCH" = 'x86_64' ] && (sed -i -e 's|lib64|lib|g' config.mk || return 1)
+	# patch Makefile for threadsafe support with native nspr
+	patch -p2 -i ${srcdir}/spidermonkey-1.7-threadsafe.patch || return 1
+	# FS#16673
+	export CFLAGS=${CFLAGS} -DJS_C_STRINGS_ARE_UTF8
+	# build - threadsafe
 }
+
+package() {
+	cd ${srcdir}/js/src
+	make -f Makefile.ref BUILD_OPT=1 JS_THREADSAFE=1 DIST=${pkgdir}/usr all export || return 1
+}




More information about the arch-commits mailing list